#
# spec file for package libosmo-dsp
#
# Copyright (c) 2017 Walter Fey DL8FCL
#
# This file is under MIT license

%define libname libosmodsp0
Name:           libosmo-dsp
Version:        0.4.0
Release:        2.4
Summary:        SDR DSP primitives
License:        GPL-2.0-only
Group:          Productivity/Hamradio/Other
URL:            https://osmocom.org/projects/libosmo-dsp
Source:         %{name}-%{version}.tar.xz
Patch0:         HTML_TIMESTAMP.diff
BuildRequires:  automake >= 1.6
BuildRequires:  doxygen
BuildRequires:  fdupes
BuildRequires:  libtool >= 2
BuildRequires:  pkgconfig
BuildRequires:  texlive-latex
BuildRequires:  pkgconfig(fftw3f) >= 3.2

%description
A library with SDR DSP primitives

%package -n %{libname}
Summary:        SDR DSP primitives
Group:          System/Libraries

%description -n %{libname}
A library with SDR DSP primitives

%package devel
Summary:        SDR DSP primitives
Group:          Development/Libraries/C and C++
Requires:       %{libname} = %{version}

%description devel
A library with SDR DSP primitives headers

%package doc
Summary:        SDR DSP primitives - Documentation
Group:          Documentation/HTML
Requires:       %{libname} = %{version}
BuildArch:      noarch

%description doc
A library with SDR DSP primitives headers - Documentation

%prep
%autosetup -p1

%build
echo "%version" >.tarball-version
autoreconf --force --install
%configure --disable-static --includedir="%{_includedir}/%{name}"
make %{?_smp_mflags}

%install
%make_install
rm -f "%{buildroot}/%{_libdir}"/*.la
%fdupes -s %{buildroot}

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}
%defattr(-,root,root)
%doc AUTHORS COPYING
%{_libdir}/libosmodsp.so.*

%files devel
%defattr(-,root,root)
%{_libdir}/libosmodsp.so
%{_includedir}/%name/
%{_libdir}/pkgconfig/libosmodsp.pc

%files doc
%defattr(-,root,root)
%doc %{_datadir}/doc/libosmodsp
%exclude %{_datadir}/doc/libosmodsp/html/*.log

%changelog
* Thu Feb 29 2024 pgajdos@suse.com
- Use %%autosetup macro. Allows to eliminate the usage of deprecated
  %%patchN
* Mon Jan 28 2019 mardnh@gmx.de
- Update to new upstream release 0.4.0
  * No functional changes since our last git snapshot (0.3.8)
* Mon Mar 19 2018 mardnh@gmx.de
- Use versionrewrite-pattern in the service file to get the
  the proper tag.
- Run spec-cleaner
- Fix URL
* Sun Jan  7 2018 bwiedemann@suse.com
- Drop LaTeX log from doc subpackage to make build more reproducible
* Sat Apr 29 2017 jengelh@inai.de
- Add service file, use dots like in the other libosmo*s,
  and replace .tarball-version.
- Rectify RPM groups. Use versioned requires where known.
- Drop static libraries.
- Install to %%_includedir/%%name to catch misuses of pkgconfig.
* Tue Mar 21 2017 dl8fcl@darc.de
- update to version 0.3_8
* Tue Nov 18 2014 dl8fcl@darc.de
- update to version 0.3_2_gf68f75e
* Wed Aug 20 2014 dl8fcl@darc.de
- Package renamed to libosmo-dsp
* Wed Oct 30 2013 lnt-sysadmin@lists.lrz.de
- Add BuildRequires: texlive-latex to build some documentation
* Sun Aug 11 2013 dl8fcl@darc.de
- import into build service
